// Copyright (C) 2022 Marius Schellenberger

//go:build !openbsd
// +build !openbsd

package godrop

// Pledge is currently only supported on OpenBSD.
func Pledge(promises, execpromises string) error { return nil }

// PledgePromises is currently only supported on OpenBSD.
func PledgePromises(promises string) error { return nil }

// PledgeExecPromises is currently only supported on OpenBSD.
func PledgeExecpromises(execpromises string) error { return nil }
